Skip to main content
GET
/
v1
/
chat
/
conversations
cURL
curl --request GET \
  --url https://api.botpress.cloud/v1/chat/conversations \
  --header 'Authorization: Bearer <token>' \
  --header 'x-bot-id: <x-bot-id>' \
  --header 'x-bp-authenticated-principal: <x-bp-authenticated-principal>'
{
  "conversations": [
    {
      "id": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "channel": "<string>",
      "integration": "<string>",
      "tags": {},
      "messageCount": 123,
      "currentTaskId": "<string>",
      "properties": {}
    }
  ],
  "meta": {
    "nextToken": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-bp-authenticated-principal
string
required

Authenticated principal. Injected by the authentication middleware.

x-bot-id
string
required

Bot id

x-integration-id
string

Integration id

x-integration-alias
string

Integration alias

x-real-ip
string

Caller's IP address. Injected by the edge proxy.

Query Parameters

nextToken
string

Provide the meta.nextToken value provided in the last API response to retrieve the next page of results

pageSize
integer

Number of items to return per page (default 20, max 100)

sortField
enum<string>

Sort results by this field

Available options:
createdAt,
updatedAt
sortDirection
enum<string>

Sort results in this direction

Available options:
asc,
desc
tags
object

Filter by tags

participantIds
string[]

Filter by participant ids

integrationName
string

Filter by integration name

channel
string

Filter by integration channel name

afterDate
string

Date in ISO 8601 string with UTC timezone after which the conversation was created (inclusive)

beforeDate
string

Date in ISO 8601 string with UTC timezone before which the conversation was created (inclusive)

minMessageCount
integer

Filter conversations with a message count greater than or equal to this value (inclusive)

maxMessageCount
integer

Filter conversations with a message count less than or equal to this value (inclusive)

Response

Returns a list of Conversation objects

conversations
object[]
required
meta
object
required
Last modified on July 3, 2026